Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.staging.blackbird.xyz/flynet/v1/payment_intents/{id}/refund
const options = {method: 'POST'};fetch('https://api.staging.blackbird.xyz/flynet/v1/payment_intents/{id}/refund', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
curl -X POST https://api.staging.blackbird.xyz/flynet/v1/payment_intents/{uuid}/refund \ -H "Authorization: Bearer $ACCESS_TOKEN"
{ "id": "{uuid}", "object": "payment_intent", "status": "refunded", "refunded_at": "2026-05-11T20:10:00Z", "amount": { "value": "1000000000000000000", "currency": "FLY" } }
paymentIntent0003